Skip to main content
GET
/
orgs
/
{org_id}
/
views
/
{view_id}
/
fields
List fields available on a view
curl --request GET \
  --url https://api.useinvent.com/orgs/{org_id}/views/{view_id}/fields \
  --header 'Authorization: Bearer <token>'
[
  {
    "key": "<string>",
    "readonly": true,
    "sortable": true,
    "groupable_in": [],
    "label": "<string>",
    "items": [
      {
        "value": "<string>",
        "label": "<string>",
        "description": "<string>",
        "icon_url": "<string>",
        "metadata": {
          "link": "<string>",
          "data": "<unknown>"
        }
      }
    ]
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.useinvent.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token authentication using your API key

Path Parameters

org_id
string
required

Org ID

view_id
string
required

View ID

Query Parameters

page
number

Page number

take
number

Number of items to take

next
string

Next page token (Only used on special endpoints)

Response

200 - application/json
key
string
required
readonly
boolean
required
sortable
boolean
required
groupable_in
enum<string>[]
required
Available options:
table,
board,
calendar,
timeline
kind
enum<string>
required
Available options:
scalar
type
enum<string>
required
Available options:
string,
number,
boolean,
date,
datetime,
enum
label
string
items
object[]